CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::util::const_char_buf Class Reference

`#include <cppcms/steal_buf.h>`

Inheritance diagram for cppcms::util::const_char_buf:

## Public Member Functions
| const_char_buf ()
| const_char_buf (char const *begin, char const *end)
void | range (char const *cbegin, char const *cend)
char const * | begin () const
char const * | end () const

## Detailed Description

Simple std::streambuf to create input from [char const *,char const *) range

New in CppCMS 1.2

## Constructor & Destructor Documentation

cppcms::util::const_char_buf::const_char_buf | ( |  | ) |
| inline

Create Empty buffer

References range().

cppcms::util::const_char_buf::const_char_buf | ( | char const * | begin,
|  | char const * | end
| ) |  |
| inline

Create a buffer from a range

References range().

## Member Function Documentation

char const* cppcms::util::const_char_buf::begin | ( |  | ) | const
| inline

Begin of range

Referenced by cppcms::util::stackbuf< Size >::c_str(), range(), and cppcms::util::stackbuf< Size >::str().

char const* cppcms::util::const_char_buf::end | ( |  | ) | const
| inline

End of range

Referenced by range(), and cppcms::util::stackbuf< Size >::str().

void cppcms::util::const_char_buf::range | ( | char const * | cbegin,
|  | char const * | cend
| ) |  |
| inline

Define the range for existing buffer, pointer is reset to begin

References begin(), and end().

Referenced by const_char_buf().

The documentation for this class was generated from the following file:

- cppcms/steal_buf.h